Holger's Java API

## com.antelmann.crm
Interface AddressInfo

All Superinterfaces:
  Addressable, DetailedString, Enabled, LifeCycleObject

All Known Implementing Classes:
  AddressInfoImpl

    public interface AddressInfo

extends Addressable, LifeCycleObject, Enabled, DetailedString

wraps an address into an object that provides additional information about that particular address

Since:
  31.12.2014, 16:11:40
Author:
  holger

Field Summary

Fields inherited from interface com.antelmann.util.Enabled
`FILTER`

Method Summary
`String` `getDescription()` provides a short description like 'work address', 'private home', 'parent's place', 'vacation home', 'birth location', 'college condo' or the alike

Methods inherited from interface com.antelmann.crm.Addressable
`getAddress`

Methods inherited from interface com.antelmann.util.LifeCycleObject
`getBeginTime, getEndTime`

Methods inherited from interface com.antelmann.util.Enabled
`isEnabled, setEnabled`

Methods inherited from interface com.antelmann.util.DetailedString
`toDetailedString`

Method Detail

### getDescription

    String getDescription()

  provides a short description like 'work address', 'private home', 'parent's place', 'vacation home', 'birth location', 'college condo' or the alike

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads